#include "ADC.h"

void init_ADC(void)
{
  GPIOB->DDR &= ~GPIO_PIN_0;
  GPIOB->CR1 &= ~GPIO_PIN_0;
  GPIOB->CR2 &= ~GPIO_PIN_0;
  
  CLK->PCKENR2 |= CLK_PCKENR2_ADC;
  ADC1->CR1 |= ADC1_CR1_ADON;
  ADC1_Init(ADC1_CONVERSIONMODE_CONTINUOUS, ADC1_CHANNEL_0, ADC1_PRESSEL_FCPU_D2, ADC1_EXTTRIG_TIM, DISABLE, ADC1_ALIGN_RIGHT, ADC1_SCHMITTTRIG_CHANNEL0, DISABLE);
  ADC1_DataBufferCmd(DISABLE);
  ADC1_ITConfig(ADC1_IT_EOCIE, DISABLE);
}